﻿#!/usr/bin/perl -w
# fasta 形式で保存した塩基配列をアミノ酸配列に翻訳します．
# perl NucTranslater_mt.pl test.fas 

use Bio::Perl;
use Bio::SeqIO;

$inFile = "$ARGV[0]";
$outFile = $inFile.".prot";

$in = Bio::SeqIO -> new('-file' => "$inFile", '-format' => "Fasta");

while ($seq = $in->next_seq()) {
  $translate = $seq->translate(-codontable_id => 2);
  write_sequence(">>$outFile",'fasta',$translate);
}